# SagaOption (dapr-sdk-parent 1.12.2 API)
declaration: package: io.dapr.workflows.saga, class: SagaOption

Package io.dapr.workflows.saga

# Class SagaOption

java.lang.Object
io.dapr.workflows.saga.SagaOption

public final class SagaOption extends Object
Saga option.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`SagaOption.Builder`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaxParallelThread()`
`boolean`
`isContinueWithError()`
`boolean`
`isParallelCompensation()`
`static SagaOption.Builder`
`newBuilder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isParallelCompensation

public boolean isParallelCompensation()

### isContinueWithError

public boolean isContinueWithError()

### getMaxParallelThread

public int getMaxParallelThread()

### newBuilder

public static SagaOption.Builder newBuilder()